# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.parfor.Task.TaskType

Packages that use Task.TaskType
Package
Description
org.apache.sysds.runtime.controlprogram.parfor

## Uses of Task.TaskType in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor that return Task.TaskType
Modifier and Type
Method
Description
`Task.TaskType`
Task.`getType()`
`static Task.TaskType`
Task.TaskType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Task.TaskType[]`
Task.TaskType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type Task.TaskType
Modifier
Constructor
Description
``
`Task(String iterVar, Task.TaskType type)`